[Deprecated]: v9.0

get

/ec-ors-svc/rest/v9.0/studies/{studyId}/{mode}/subjects/{externalSubjectId}/dispensation-history

Deprecated: Retrieves dispensation history for a study, by subject and visit ID. This version includes additional fields:
  • userId
  • originalKit
  • titration
  • inventoryStatusName

Rights: OrsSubjectVisitGet.

Request

Path Parameters
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    B1B8327AFAA6412287106192AB5984EF
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : DispensationHistoryResponse
Type: object
Title: DispensationHistoryResponse
Response object containing Dispensation History.
Show Source
Examples

400 Response

Invalid parameters
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

404 Response

Invalid study ID or version OR Subject not found
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

500 Response

Error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

Back to Top